> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2tensorshotsreal estate projects jobsproperty import 

> Return the latest property import job for one owned real-estate project.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/v2/tensorshots/real-estate-projects/{project_real_estate_pk}/jobs/property-import/{job_pk}/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/real-estate-projects/{project_real_estate_pk}/jobs/property-import/{job_pk}/:
    get:
      tags:
        - v2
      description: Return the latest property import job for one owned real-estate project.
      operationId: v2_tensorshots_real_estate_projects_jobs_property_import_retrieve
      parameters:
        - in: path
          name: job_pk
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: project_real_estate_pk
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropertyImportJob'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PropertyImportJob:
      type: object
      description: Serializer for property import job status polling.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        provider:
          allOf:
            - $ref: '#/components/schemas/ProviderEnum'
          readOnly: true
        project_real_estate_id:
          type: string
          format: uuid
          readOnly: true
        external_url:
          type: string
          format: uri
          readOnly: true
          description: Source listing URL.
        status:
          allOf:
            - $ref: '#/components/schemas/TensorshotsJobStatusEnum'
          readOnly: true
          description: |-
            Current job status.

            * `queued` - Queued
            * `processing` - Processing
            * `expired` - Expired
            * `cancelled` - Cancelled
            * `completed` - Completed
            * `failed` - Failed
        total_image_count:
          type: integer
          readOnly: true
        queued_image_count:
          type: integer
          readOnly: true
        completed_image_count:
          type: integer
          readOnly: true
        failed_image_count:
          type: integer
          readOnly: true
        finished_image_count:
          type: integer
          readOnly: true
        pending_image_count:
          type: integer
          readOnly: true
        progress_percent:
          type: number
          format: double
          readOnly: true
        is_finished:
          type: boolean
          readOnly: true
        has_failures:
          type: boolean
          readOnly: true
        error_message:
          type: string
          readOnly: true
          description: Error details if job failed.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was created.
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was last updated.
      required:
        - completed_image_count
        - created_at
        - error_message
        - external_url
        - failed_image_count
        - finished_image_count
        - has_failures
        - id
        - is_finished
        - pending_image_count
        - progress_percent
        - project_real_estate_id
        - provider
        - queued_image_count
        - status
        - total_image_count
        - updated_at
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ProviderEnum:
      enum:
        - zillow
      type: string
      description: '* `zillow` - Zillow'
    TensorshotsJobStatusEnum:
      enum:
        - queued
        - processing
        - expired
        - cancelled
        - completed
        - failed
      type: string
      description: |-
        * `queued` - Queued
        * `processing` - Processing
        * `expired` - Expired
        * `cancelled` - Cancelled
        * `completed` - Completed
        * `failed` - Failed
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````